package xelfi.compiler;

  /** Pass this interface to outLine() function of Output and you will be able to handle
    some events with the text you prints. */
public interface OutputCallback
{
    /** One mouse click on the text. 
      @param index id of the text item. It is returned by the outLine method of Output */
  void selection(int index);

    /** Double click, or pressing <enter> on the text. 
      @param index id of the text item. It is returned by the outLine method of Output */
  void action(int index);

    /** String is cleared from the output 
      @param index id of the text item. Itis  returned by the outLine method of Output */
  void clear(int index);
}




