/**
* Xelfi
*/

package xelfi.design.components.property;

import java.io.*;
import java.awt.Frame;
import xelfi.design.components.XelfiDesignComponent;
import xelfi.design.components.dialogs.StringMulLineSelectThread;
import xelfi.util.Debug;

/**
 *
 * @version 	1.40, 08 Feb 1997 (from version 1.30 persistence is added)
 * @author 	Ian Formanek
 */
public class XMultiLineStringPropertyType {
	public static void invokeSpecialInput(Frame parent, XelfiDesignComponent xdc, int propNum) {
		new StringMulLineSelectThread("MulLineStringSelectThread", parent, xdc, propNum).start(); 
	}

	public static String viewString(Object property) { return "[Multi Line String]"; }

	public static void saveToStream(Object property, DataOutput stream) throws 
		IOException {
		stream.writeUTF((String)property);
		Debug.debug(Debug.PROPIO_SAVE, "XMultiLineStringProperty save : //");
		Debug.debug(Debug.PROPIO_SAVE, (String)property);
		Debug.debug(Debug.PROPIO_SAVE, "// XMultiLineStringProperty");
	}

	public static String loadFromStream(DataInput stream) throws 
		IOException {
		String property = stream.readUTF();
		Debug.debug(Debug.PROPIO_LOAD, "XMultiLineStringProperty save : //");
		Debug.debug(Debug.PROPIO_LOAD, (String)property);
		Debug.debug(Debug.PROPIO_LOAD, "// XMultiLineStringProperty");
		return property;
	}
}
