/**
* Xelfi
*/

package xelfi.design.forms;

import java.io.*;
import java.util.NoSuchElementException;
import xelfi.top.TopLevel;
import xelfi.editor.Source;
import xelfi.editor.XelfiFile;
import xelfi.templates.*;

/**
* Applet manager, when asked creates new applet form.
*
* @version 	1.03, 19 Feb 1997
* @author 		Jaroslav Tulach, Ian Formanek
*/

public class AppletManager extends FormsManager {
  /** Returns design form for this manager.
  * @param t the template to generate from
  * @param s the source to generate in
  * @return the application form
  */
  public XelfiDesignForm getDesignForm (Template t, Source s) {
    return new XFFormApplet(TopLevel.getMenu(),s.getFile ().getName (),
	s.getFile ().getPackage (), s);
  };
};


