/**
* The xelfi Editor
*/

package xelfi.editor;

/**
* One record for undo. Has method how to revert to previous state.
*
* @version 1.0
* @author Jaroslav Tulach
*/

abstract class UndoEvent extends Object {
  /** Undoes the event
  * @return the position of undo or null
  */
  public abstract Position undo ();
};


