/**
* Xelfi
*/

package xelfi.top;

/**
 * @version		1.00, 22 Jan 1997
 * @author 	Petr Hamernik
 */

import xelfi.util.XelfiPath;
import xelfi.awt.ImageLabel;
import java.awt.*;

  /** Window with the xelfi logo picture. Version for systems MS Windows - uses java.awt.Window as super class*/
public class XelfiLogo95 extends Window
{
	public XelfiLogo95() {
		super(null);
		setLayout(new BorderLayout());

		String sep = new String(System.getProperty("file.separator"));
		String name = XelfiPath.get() + sep + "images" + sep + "Logo.gif";
		Image im = Toolkit.getDefaultToolkit().getImage(name);
		ImageLabel imageLabel = new ImageLabel(im);
		add("Center", imageLabel);
		resize(preferredSize());
	}

	public synchronized void show() 
        {
        	Toolkit toolkit = Toolkit.getDefaultToolkit();
		Dimension screenSize = toolkit.getScreenSize();
		Dimension windowSize = preferredSize();
		addNotify();
		move((screenSize.width-windowSize.width)/2,(screenSize.height-windowSize.height)/2);
		super.show();
	}
}
