/**
* Xelfi
*/

package xelfi.top.toolbar;

/**
  *
  * @version 	1.00, 12 Jan 1997
  * @author 	Petr Hamernik
  *
  */

import java.util.Vector;
import xelfi.top.MainMenu;

public class XFToolbarDefault {
	public final static int TOOLBAR_ALL = 0;
	public final static int TOOLBAR_NORMAL = 1;
	public final static int TOOLBAR_DEBUGGING = 2;

	public static Vector get() {
		return get(TOOLBAR_NORMAL);
	}

	public static Vector get(int typ) {
		Vector v = new Vector();
		
		v.addElement(new XFToolbarEntry(MainMenu.miSystemNewClass));
		v.addElement(new XFToolbarEntry(MainMenu.miSystemSave));
		v.addElement(new XFToolbarEntry(MainMenu.miSystemSaveAll));
		v.addElement(new XFToolbarEntry(MainMenu.miSystemExit));

		v.addElement(new XFToolbarEntry());

		v.addElement(new XFToolbarEntry(MainMenu.miEditCut));
		v.addElement(new XFToolbarEntry(MainMenu.miEditPaste));
		v.addElement(new XFToolbarEntry(MainMenu.miEditCopy));
		v.addElement(new XFToolbarEntry(MainMenu.miEditUndo));
		v.addElement(new XFToolbarEntry(MainMenu.miEditFind));

		if (typ != TOOLBAR_DEBUGGING) {
			v.addElement(new XFToolbarEntry());

			v.addElement(new XFToolbarEntry(MainMenu.miDesignShowGrid));
			v.addElement(new XFToolbarEntry(MainMenu.miDesignRealMode));
		}
		
		v.addElement(new XFToolbarEntry());

		if (typ == TOOLBAR_NORMAL) {
			v.addElement(new XFToolbarEntry(MainMenu.miCompile));
			v.addElement(new XFToolbarEntry(MainMenu.miCompileAll));
			v.addElement(new XFToolbarEntry());
			v.addElement(new XFToolbarEntry(MainMenu.miRunMain));
			v.addElement(new XFToolbarEntry());
			v.addElement(new XFToolbarEntry(MainMenu.miDebugGo));
			v.addElement(new XFToolbarEntry(MainMenu.miDebugGoCursor));
		}
		else {
			v.addElement(new XFToolbarEntry(MainMenu.miCompile));
			v.addElement(new XFToolbarEntry(MainMenu.miCompileAll));
			v.addElement(new XFToolbarEntry());
			v.addElement(new XFToolbarEntry(MainMenu.miRunMain));
			v.addElement(new XFToolbarEntry(MainMenu.miDebugGo));
			v.addElement(new XFToolbarEntry(MainMenu.miDebugGoCursor));
			v.addElement(new XFToolbarEntry(MainMenu.miDebugFinish));
			v.addElement(new XFToolbarEntry(MainMenu.miDebugRestart));
			v.addElement(new XFToolbarEntry(MainMenu.miDebugTraceOver));
			v.addElement(new XFToolbarEntry(MainMenu.miDebugTraceInto));
//			v.addElement(new XFToolbarEntry(MainMenu.miDebugTraceOut));
		}

		v.addElement(new XFToolbarEntry());
	
		v.addElement(new XFToolbarEntry(MainMenu.miDebugToggleBreak));
		v.addElement(new XFToolbarEntry(MainMenu.miDebugAddWatch));

		v.addElement(new XFToolbarEntry());

		v.addElement(new XFToolbarEntry(MainMenu.miSystemNewBrowser));
		v.addElement(new XFToolbarEntry(MainMenu.miWindowInspector));

		if (typ != TOOLBAR_NORMAL) {
			v.addElement(new XFToolbarEntry(MainMenu.miWindowWatches));
			v.addElement(new XFToolbarEntry(MainMenu.miWindowCallStack));
			v.addElement(new XFToolbarEntry(MainMenu.miWindowBreakpoints));
			v.addElement(new XFToolbarEntry(MainMenu.miWindowLocals));
			v.addElement(new XFToolbarEntry(MainMenu.miWindowThreads));
			v.addElement(new XFToolbarEntry(MainMenu.miWindowOutput));
		}

		return v;
	}
}
